#
# Ed's own resident monitor.  Blame him. (- anon.)
#

CC=cc
GHLIB=
OCC=cc
COPTS=  -sed asm.sed  # -DTRAPDEBUG  -DSAS  -DRFTDEBUG -DRFBKUPDEBUG  -DTRAPDEBUG
CFLAGS= -DKERNEL -O $(COPTS)
OBJS=setjmp.o disasm.o startup.o trap.o utils.o tables.o xcmds.o main.o ver.o
BSSOBJ=bss.o
all:	erm.a

erm.a:	$(OBJS) $(BSSOBJ)
	ar rv erm.a $(OBJS) $(BSSOBJ)

tags:
	rm -f ctags
	ctags *.[ch]
touch:
	touch *.c
version:
	echo "#define VERSION \"ERM(0.1) `date`\"" >ver.h
locore.o : locore.s
	rm -f locore.[cio]
	cat locore.s > locore.c
	${OCC} -I. -DLOCORE ${COPTS} -P locore.c
	${AS} -o locore.o locore.i

ldiv.o : ldiv.s
	rm -f ldiv.[cio]
	cat ldiv.s > ldiv.c
	${OCC} -I. -DLOCORE ${COPTS} -P ldiv.c
	${AS} -o ldiv.o ldiv.i

setjmp.o : setjmp.s
	rm -f setjmp.[cio]
	cat setjmp.s > setjmp.c
	${OCC} -I. -DLOCORE ${COPTS} -P setjmp.c
	${AS} -o setjmp.o setjmp.i

lmul.o : lmul.s
	rm -f lmul.[cio]
	cat lmul.s > lmul.c
	${OCC} -I. -DLOCORE ${COPTS} -P lmul.c
	${AS} -o lmul.o lmul.i

asm.o : asm.c
	${OCC} -c -I. ${COPTS} asm.c

ver.o : ver.h
